Subject: Re: crontab error
From: "Chuck Hamilton" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 30 May 2003 08:37:27 -0400

I have no "Domain Users" group so I set it to "Users". Still fails to start.
I also tried "Administrators". That didn't work either. I am attaching both
the passwd and group files, as well as listing their permissions.

-rw-rw-rw-    1 isscha   mkgroup_      373 May 29 04:44 /etc/group
-rw-rw-rw-    1 isscha   mkgroup_     1347 May 29 04:44 /etc/passwd
-rwxrwxrwx    1 Administ Users       32256 Apr 15 11:16 /usr/sbin/cron.exe
$ id
$ id
uid=11624(isscha) gid=10513(mkgroup_l_d)
groups=544(Administrators),545(Users),1009(ORA_DBA),10513(mkgroup_l_d)

----- Original Message ----- 
From: "Larry Hall" <[email-masked]>
To: "Chuck Hamilton" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, May 29, 2003 12:48 PM
Subject: Re: crontab error

> For group, try 'Users' or 'Domain Users', whichever is appropriate.
> The user looks fine.
>
> Larry
>
> Chuck Hamilton wrote:
> > Been there and done that. It doesn't change the ownership of any of the
> > command though. Do I need run a chown on the cron command? If so what
should
> > be owner and group be?
> >
> > ----- Original Message ----- 
> > From: "Larry Hall (RFK Partners, Inc.)" <[email-masked]>
> > To: "Chuck Hamilton" <[email-masked]>
> > Cc: <[email-masked]>
> > Sent: Thursday, May 29, 2003 8:08 AM
> > Subject: Re: crontab error
> >
> >
> >
> >>Chuck Hamilton wrote:
> >>
> >>>It already the permissions set to 777.
> >>>
> >>>-rwxrwxrwx    1 Administ mkgroup_    32256 Apr 15 11:16 cron*
> >>
> >>                            ^^^^^^^^
> >>Ahem.  Here's the problem.  Your /etc/group file is not current.
> >>Rerun mkgroup with the appropriate flags.  You may want to do this
> >>for /etc/passwd too.  If one's not current, more than likely, the
> >>other isn't either.
> >>
> >>
> >>>I did try changing the user the service runs as but it failed with a
> >
> > logon
> >
> >>>error so I changed it back to LocalSystem. It seems like it's got to be
> >
> > some
> >
> >>>kind of Win2k permissions thing. If I run cron from a cygwin session,
it
> >>>works fine. If I run it as a service it fails to start. I've tried
> >
> > adding
> >
> >>>the cygwin /usr/bin and /usr/lib directories to my Win2k path but that
> >>>didn't help either (though now I can run cygwin commands from a DOS
> >
> > prompt
> >
> >>>if I want).
> >>
> >>
> >>
> >>-- 
> >>Larry Hall                              http://www.rfk.com
> >>RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> >>838 Washington Street                   (508) 893-9889 - FAX
> >>Holliston, MA 01746
> >>
> >
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Problem reports:       http://cygwin.com/problems.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >
>
>
> -- 
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 838 Washington Street                   (508) 893-9889 - FAX
> Holliston, MA 01746
>
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/